local M = {}

local function onClientReceivePlaySound(soundType)
  if soundType == "fail" then
    local soundName = "audio/failure/fail" .. math.random(1, 4) .. ".ogg"

    playCarpSound(soundName)
  end
end

local function onExtensionLoaded()
  if MPCoreNetwork then
    AddEventHandler("onClientReceivePlaySound", onClientReceivePlaySound)
  end
end

M.onExtensionLoaded = onExtensionLoaded

return M
